/***********************************************************************************************************************
 *
 * OpenBlueSky - NetBeans Platform Enhancements
 * Copyright (C) 2006-2011 by Tidalwave s.a.s. (http://www.tidalwave.it)
 *
 ***********************************************************************************************************************
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on
 * an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations under the License.
 *
 ***********************************************************************************************************************
 *
 * WWW: http://openbluesky.kenai.com
 * SCM: https://kenai.com/hg/openbluesky~src
 *
 **********************************************************************************************************************/
package it.tidalwave.netbeans.indexeddataobject.impl;

import javax.annotation.Nonnull;
import org.openide.loaders.DataObject;
import it.tidalwave.util.Id;
import it.tidalwave.role.Identifiable;
import it.tidalwave.netbeans.indexedfilesystem.IndexedFileSystem;

/***********************************************************************************************************************
 *
 * @author  Fabrizio Giudici
 * @version $Id: $
 *
 **********************************************************************************************************************/
public class IndexedDataObjectIdentifiable implements Identifiable
  {
    @Nonnull
    private final DataObject dataObject;

    public IndexedDataObjectIdentifiable (final @Nonnull DataObject dataObject)
      {
        this.dataObject = dataObject;
      }

    @Override @Nonnull
    public Id getId()
      {
        // FIXME: cache it
        return new Id((String)dataObject.getPrimaryFile().getAttribute(IndexedFileSystem.ID_ATTRIBUTE));
      }

    @Override @Nonnull
    public String toString()
      {
        return String.format("IndexedDataObjectIdentifiable[%s]", getId());
      }
  }

